---
home: true
heroImage: /restsharp.png
heroText: RestSharp
tagline: Probably, the most popular REST API client library for .NET
actionText: Get Started →
actionLink: /getting-started/
features:
- title: Serialization
  details: JSON, XML and custom serialization and deserialization
- title: Sync and Async
  details: Variety of overloads to make synchronous and asynchronous HTTP calls
- title: Extensive configuration
  details: Almost every aspect of an HTTP call can be customized
- title: Authentication
  details: Basic, OAuth 1, OAuth 2, JWT, NTLM are supported. Not enough? Write your own!
- title: Forms, request body, and files
  details: Send objects as the request body in JSON or XML, or as a form. Upload and download files as bytes or as streams.
- title: Parameters
  details: Add query, URL segment, body, form or header parameter using an easy and fluent API
footer: Apache 2.0 Licensed | Copyright © 2009-2020 John Sheehan, Andrew Young, Alexey Zimarev and RestSharp community.
---

RestSharp is probably the most popular HTTP client library for .NET. Featuring automatic serialization and deserialization, request and response type detection, variety of authentications and other useful features, it is being used by hundreds of thousands of projects.

RestSharp passed over 32 million downloads on NuGet, with average daily download count of 10,000. It's being used by many popular OSS projects, including Roslyn and Swagger.
